var $ = jQuery.noConflict();
$(document).ready(function () {
  'use strict';

  // Responsive video
  $('.hentry, .widget').fitVids();

  // Modal
  $('#modal_trigger').leanModal({
    top: 200,
    overlay: 0.6,
    closeButton: '.modal_close',
  });

  /*-----------------------------------------------------------------------------------*/
  /*  Superfish Menu
	/*-----------------------------------------------------------------------------------*/
  var menu = $('ul.sf-menu').superfish({
    delay: 100,
    speed: 'fast',
    autoArrows: false,
  });

  /*-----------------------------------------------------------------------------------*/
  /*  Mobile Menu
	/*-----------------------------------------------------------------------------------*/
  $('#primary-menu').slicknav({
    prependTo: '#primary-bar',
    label: 'MENU',
  });
  $('#secondary-menu').slicknav({
    prependTo: '#secondary-bar',
    label: 'CATEGORIES',
  });

  /*-----------------------------------------------------------------------------------*/
  /*  Match Height
	/*-----------------------------------------------------------------------------------*/
  $('.grid .hentry').matchHeight();
  $('.column').matchHeight();

  /*-----------------------------------------------------------------------------------*/
  /*  Tabs
	/*-----------------------------------------------------------------------------------*/
  var $tabsNav = $('.tabs-nav'),
    $tabsNavLis = $tabsNav.children('li'),
    $tabContent = $('.tab-content');

  $tabsNav.each(function () {
    var $this = $(this);

    $this
      .next()
      .children('.tab-content')
      .stop(true, true)
      .hide()
      .first()
      .show();

    $this.children('li').first().addClass('active').stop(true, true).show();
  });

  $tabsNavLis.on('click', function (e) {
    var $this = $(this);

    $this.siblings().removeClass('active').end().addClass('active');

    $this
      .parent()
      .next()
      .children('.tab-content')
      .stop(true, true)
      .hide()
      .siblings($this.find('a').attr('href'))
      .fadeIn();

    e.preventDefault();
  });
});
