<?php
// Check if there's a menu assigned to the 'primary' location.
if (!has_nav_menu('primary')) {
    return;
}
?>

<div id="primary-bar" class="clearfix">
    <div class="container">

        <nav id="primary-nav" class="main-navigation" role="navigation" <?php hybrid_attr('menu'); ?>>

            <?php wp_nav_menu(
                array(
                    'theme_location'  => 'primary',
                    'container_class' => 'menu-wrapper',
                    'menu_id'         => 'primary-menu',
                    'menu_class'      => 'primary-menu sf-menu',
                    'walker'          => new Flashmagz_Custom_Nav_Walker
                )
            ); ?>

        </nav><!-- #primary-nav -->

    </div>
</div>
