<?php get_header(); ?>

<div id="primary" class="content-area">
    <main id="content" class="site-content" role="main" <?php hybrid_attr('content'); ?>>

        <?php if (have_posts()) : ?>

            <?php the_archive_title('<h1 class="breadcrumbs">', '</h1>'); ?>

            <div class="content-loop loop-list">

                <?php while (have_posts()) : the_post(); ?>

                    <?php get_template_part('partial/archive/content', 'list'); ?>

                <?php endwhile; ?>

            </div>

            <?php get_template_part('loop', 'nav'); // Loads the loop-nav.php template
            ?>

        <?php else : ?>

            <?php get_template_part('content', 'none'); ?>

        <?php endif; ?>

    </main><!-- #main -->
</div><!-- #primary -->

<?php get_sidebar(); ?>
<?php get_footer(); ?>
