<!DOCTYPE html>
<html class="no-js" <?php language_attributes(); ?>>

<head>
    <meta charset="<?php bloginfo('charset'); ?>">
    <meta name="viewport" content="width=device-width, initial-scale=1">
    <link rel="profile" href="http://gmpg.org/xfn/11">
    <link rel="pingback" href="<?php bloginfo('pingback_url'); ?>">

    <?php wp_head(); ?>

</head>

<body <?php body_class(); ?> <?php hybrid_attr('body'); ?>>

    <div id="page" class="hfeed site clearfix">

        <header id="masthead" class="site-header" role="banner" <?php hybrid_attr('header'); ?>>

            <div class="container">

                <div class="site-branding">
                    <?php flashmagz_site_branding(); ?>
                </div>

                <?php get_search_form(); // Loads searchform.php template.
                ?>

                <?php flashmagz_header_social(); // Get the social header data.
                ?>

            </div>

        </header><!-- #masthead -->

        <?php get_template_part('menu', 'primary'); // Loads the menu-primary.php template.
        ?>

        <?php flashmagz_header_ads(); // Get the header advertisement data.
        ?>

        <div class="site-main container clearfix">
